Merchant Center 限制

除了 API 呼叫配額外,Merchant Center 也會對資源強制執行其他限制。這些限制經常與 API 配額混淆,但其實是 Merchant Center 限制的一部分。詳情請參閱「瞭解 Google Merchant Center 的配額」。

產品數量上限

如要查看產品限制,請使用 accounts.limits.getaccounts.limits.list 方法。

如要擷取特定產品限制 (例如取得帳戶的 Google Ads 歐洲經濟區配額),您需要在對 accounts.limits.get 的呼叫中指定帳戶 ID 和限制 ID。 限制 ID 是限制類型和範圍的組合。舉例來說,products~ADS_EEA適用於指定在歐洲經濟區放送廣告的產品,products~ADS_NON_EEA則適用於指定在歐洲經濟區以外放送廣告的產品。

以下範例要求會取得指定帳戶的 products~ADS_EEA 限制:

GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/limits/products~ADS_EEA

如要瞭解帳戶可用的限制 ID,請使用 accounts.limits.list 並篩選 type="products"

GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/limits?filter=type%3D%22products%22

資源表示法限制

以下限制說明瞭 Merchant API 中,資源表示法的特定字串值和陣列欄位會有特別的使用限制。這些限制適用於 Merchant API 和 Merchant Center 中的對應功能。

資源 欄位 限制
shippingsettings

依國家/地區劃分的運送服務 (services)。

每個運送服務的運送群組 (rateGroups)。

每個運送群組的標籤 (applicableShippingLabels)。

每個運送群組的子表格 (subtables)。

單一費率表中的列數或欄數。

運送標籤的長度。

20

20

30

100

150

100

費率表中的列數或欄數會影響下列陣列欄位:

  • rowHeaderscolumnHeaders 中的陣列欄位:
    • prices[]
    • weights[]
    • numberOfItems[]
    • postalCodeGroupNames[]
    • locations[]
    • rows[]
    • cells[]